function love.load()
	amp = love.graphics.getWidth()/2
	count = 0

	pixel = 10 -- fake pixel size in real pixels
end

function love.update(dt)
	count = count + dt/2
	ampX = (love.graphics.getWidth()/2) + (math.sin(count))*200
	ampY = (love.graphics.getHeight()/2) + (math.cos(count))*200
end

function love.keypressed(key,unicode)
	--Change fake pixel size
	if key == "w" then
		pixel = pixel+2
		print(pixel)
	end
	if key == "s" then
		pixel = pixel-2
		if pixel < 1 then pixel = 1 end
	end
end

function love.draw()
	

	love.graphics.setColor(255,255,255)
	for i=0,love.graphics.getWidth()/pixel do
		love.graphics.line(0,i*pixel,love.graphics.getWidth(),i*pixel)
		love.graphics.line(i*pixel,0,i*pixel,love.graphics.getHeight())
	end

	x = (ampX-50)
	y = (ampY-50)
	height = 100
	width = 100
	love.graphics.setColor(0,255,0)
	love.graphics.rectangle("fill",x,y+50,width,height)
	--Pixelify:
	px = math.floor((x/pixel)+0.5)*pixel
	py = math.floor(((y-50)/pixel)+0.5)*pixel
	pheight = math.floor((height/pixel)+0.5)*pixel
	pwidth = math.floor((width/pixel)+0.5)*pixel
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle("fill",px,py,pwidth,pheight)
end